BrowserConfigurationOptions (Selenium RC Server (Coreless) 1.0.1 API)
Date: 2009-06-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server
Class BrowserConfigurationOptions

    java.lang.Object
      org.openqa.selenium.server.BrowserConfigurationOptions

    public class BrowserConfigurationOptions

extends java.lang.Object

Constructor Summary
`BrowserConfigurationOptions()`
`BrowserConfigurationOptions(java.lang.String browserConfiguration)`

Method Summary
`java.lang.String` | `get(java.lang.String key)`
`java.lang.String` | `getExecutablePath()`
`java.io.File` | `getFile(java.lang.String key)`
`java.lang.String` | `getProfile()`
`int` | `getTimeoutInSeconds()`
`boolean` | `hasOptions()`
`boolean` | `is(java.lang.String key)`
`boolean` | `isSingleWindow()`
`java.lang.String` | `serialize()`
`void` | `set(java.lang.String key, java.lang.Object value)`
`void` | `setExecutablePath(java.lang.String executablePath)`
`void` | `setSafely(java.lang.String key, java.lang.Object value)`
`void` | `setSingleWindow(java.lang.Boolean singleWindow)`
`java.lang.String` | `toString()` Returns the serialization of this object, as defined by the serialize() method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BrowserConfigurationOptions

    public BrowserConfigurationOptions(java.lang.String browserConfiguration)

### BrowserConfigurationOptions

    public BrowserConfigurationOptions()

Method Detail

### serialize

    public java.lang.String serialize()

### getProfile

    public java.lang.String getProfile()

### hasOptions

    public boolean hasOptions()

### isSingleWindow

    public boolean isSingleWindow()

### setSingleWindow

    public void setSingleWindow(java.lang.Boolean singleWindow)

### getExecutablePath

    public java.lang.String getExecutablePath()

### setExecutablePath

    public void setExecutablePath(java.lang.String executablePath)

### getTimeoutInSeconds

    public int getTimeoutInSeconds()

### is

    public boolean is(java.lang.String key)

### get

    public java.lang.String get(java.lang.String key)

### getFile

    public java.io.File getFile(java.lang.String key)

### set

    public void set(java.lang.String key,
                    java.lang.Object value)

### setSafely

    public void setSafely(java.lang.String key,
                          java.lang.Object value)

### toString

    public java.lang.String toString()

  Returns the serialization of this object, as defined by the serialize() method.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.